// DetPlane_Page.h : header file
//

#include "DetPlane.h"

#ifndef _CDETPLANE_PAGE_H
#define _CDETPLANE_PAGE_H


/////////////////////////////////////////////////////////////////////////////
// CDetPlane_Page dialog

class CDetPlane_Page : public CPropertyPage
{
	DECLARE_DYNCREATE(CDetPlane_Page)

// Construction
public:
	CDetPlane_Page();
	~CDetPlane_Page();

// Dialog Data
	//{{AFX_DATA(CDetPlane_Page)
	enum { IDD = IDD_DET_PLANE };
	CString	m_name;
	CString	m_runMode;
	int		m_linkSel;
	int		m_setMode;
	double	m_value;
	BOOL	m_c0;
	BOOL	m_c1;
	BOOL	m_c2;
	BOOL	m_c3;
	BOOL	m_call;
	CString	m_autop_file;
	int		m_ch_start;
	int		m_ch_stop;
	BOOL	m_chan_use;
	CString	m_run_stat;
	CString	m_stat_ap;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDetPlane_Page)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDetPlane_Page)
	afx_msg void OnDpSet();
	afx_msg void OnSelchangeDpSel();
	afx_msg void OnDpRun();
	afx_msg void OnSelchangeDpSetMode();
	afx_msg void OnDpChSet();
	afx_msg void OnDpAutop();
	afx_msg void OnDPCHSETAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private :


	DetPlane*  _detPlane;

	int   loadDetPlaneMess ();


};



#endif _CDETPLANE_PAGE_H
