// Setup.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Setup dialog


#ifndef _SETUP_H
#define _SETUP_H

#include "DaqSetup.h"


class Setup : public CPropertyPage
{
	DECLARE_DYNCREATE(Setup)

// Construction
public:
	Setup();
	~Setup();

// Dialog Data
	//{{AFX_DATA(Setup)
	enum { IDD = IDD_SETUP };
	CString	m_plane_name;
	CString	m_plane_l0;
	int		m_dspNr;
	int		m_linkNr;
	CString	m_plane_l1;
	CString	m_plane_l2;
	CString	m_plane_l3;
	CString	m_autop_dir;
	CString	m_cb_dir;
	CString	m_data_dir;
	CString	m_detFile_dir;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Setup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Setup)
	afx_msg void OnSuAddDetpl();
	afx_msg void OnSuAddDsp();
	afx_msg void OnSuRemDetpl();
	afx_msg void OnSuReaddir();
	afx_msg void OnSuSetdir();
	afx_msg void OnSuSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private :


	DaqSetup*       _daq;
	ReadoutConfig*  _config;
	DaqEnv*         _daqEnv;


};



#endif _SETUP_H