// daqView.h : interface of the CDaqView class
//
/////////////////////////////////////////////////////////////////////////////

class CDaqView : public CFormView
{
protected: // create from serialization only
	CDaqView();
	DECLARE_DYNCREATE(CDaqView)

public:
	//{{AFX_DATA(CDaqView)
	enum{ IDD = IDD_DAQ_FORM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CDaqDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDaqView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDaqView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDaqView)
	afx_msg void OnSetupMain();
	afx_msg void OnAnaCalib();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in daqView.cpp
inline CDaqDoc* CDaqView::GetDocument()
   { return (CDaqDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
