
/**********************************************************************/
/*                          USER MESSAGES:                            */
/**********************************************************************/

/**********************************************************************/
/*                              user.h:                               */
/**********************************************************************/
/**********************************************************************/
/* SET_LL_DAC                                                         */
/* # of parameters: 2                                                 */
/**********************************************************************/
struct m_set_ll_dac {
  HEADER
  int32 udac;            /* DAC: (DSP card: 0-3)   LL CARD           */
  int32 uvoltage;        /* voltage: (0-4095)                        */
};
typedef struct m_set_ll_dac m_set_ll_dac;
/**********************************************************************/
/* LOAD_CONTROL_BLOCK                                                 */
/* # of parameters: 2049                                              */
/**********************************************************************/
struct m_load_control {
  HEADER
  int32 ublocknum;           
  int32 ublockdata[2048];        
};
typedef struct m_load_control m_load_control;

/**********************************************************************/
/* EXECUTE_CONTROL_BLOCK                                                 */
/* # of parameters: 2                                              */
/**********************************************************************/
struct m_exe_control {
  HEADER
  int32 ublocknum;           
  int32 unumexe;        
};
typedef struct m_exe_control m_exe_control;

/**********************************************************************/
/* SET_STROBE_DELAY                                                   */
/* # of parameters: 1                                                 */
/**********************************************************************/
struct m_set_strobe_delay {
  HEADER
  int32 ustrobe_delay;           
};
typedef struct m_set_strobe_delay m_set_strobe_delay;

/**********************************************************************/
/* SET_COUNTER_VAL                                                    */
/* # of parameters: 1                                                 */
/**********************************************************************/
struct m_set_counter_val {
  HEADER
  int32 ucounter_val;           
};
typedef struct m_set_counter_val m_set_counter_val;

#define LOAD_CONTROL_BLOCK 200
#define EXECUTE_CONTROL_BLOCK 201
#define GET_DET_STATUS 202
#define DET_STATUS 203
#define SET_STROBE_DELAY 204
#define SET_COUNTER_VAL 205
#define SET_LL_DAC 206
