//
//  DaqDir.h
//


#ifndef _DAQDIR_H
#define _DAQDIR_H


#include <iostream.h>
#include <fstream.h>
#include <afx.h>


enum DirNames {DataDir, CtrlBlkDir, DetDir, AutoPilotDir, Local};

class DaqDir
{
	

public :
	
	int  setDir (DirNames, char*);
	int  getDir (DirNames, CString&);

	int  openFileDir   (DirNames, char *, ofstream& file);
	int  openFileDirIn (DirNames, char *, ifstream& file);
	int  getFileDir  (DirNames, char *, CString&);


private :

	CString  _data;
	CString  _ctrlBlk;
	CString  _detectors;
	CString  _autoPilot;

};


#endif _DAQDIR_H