//
//  DoCalibrate.cpp
//


#ifndef _DOCALIBRATE_H
#define _DOCALIBRATE_H



#include "DetPlane.h"
#include "DspParameter.h"



class DoCalibrate 
{

public :


	DoCalibrate (DetPlane *);

	int  collectData (int, unsigned int *, int);
	int  collectData (int, int, unsigned int *, int);


private :
	
	int   _nLoops;
	int   _nChan;
	int   _eventLength;
	int   _hitType;

	int   _linkNr;
	int   _dspNr;

	Channels*  _chanList;

};


#endif _DOCALIBRATE_H