//
//  NoiseScan.h
//



#ifndef _NOISESCAN_H
#define _NOISESCAN_H


#include "Scan.h"


class NoiseScan : public Scan
{
 
  
public :
  

	NoiseScan (double, double, double, DetPlane*);
   
	int  init (double);

	virtual  int  setVariable (double*);
	
	virtual  int  run (int events, int ctrlBlk);
	virtual void  headerToFile (ofstream&);


private :
  
	DetPlane*     _detPlane;      
	int           _maxEvents;

};


#endif _NOISESCAN_H
