//
//  ReadoutAgent.h
//


#ifndef _READOUTAGENT_H
#define _READOUTAGENT_H


#include "ReadoutConfig.h"

#include <afx.h>



enum dataTransMode {eob_trans, rt_trans};


extern "C" {
#include <stdio.h>
#include <stdlib.h>
}



class ReadoutAgent
{


public :

	ReadoutAgent (ReadoutConfig*);	
	~ReadoutAgent ();	


	int transferData ();


	int   openFile (char *);
	void  closeFile ();



private :

	dataTransMode   _dataTransMode;

	int*        _listOfPlanes;
	int*        _listOfDsp;
	DetPlane**  _ptListPlanes;
	
	int         _nrOfPlanes;

	FILE*       _rawDataOut;

};


#endif _READOUTAGENT_H
