//
//  Scan.h
//


#ifndef _SCAN_H
#define _SCAN_H


#include "ScanData.h"
#include "DetPlane.h"
#include "DoCalibrate.h"

#include <iostream.h>
#include <fstream.h>



class Scan : public ScanData , public DoCalibrate
{


public : 

	Scan (double, double, double, DetPlane *);


	virtual int   run (int, int);
	virtual int   setVariable (double *) = 0;
	void          dataToFile (char *fileName);
	
	virtual void  headerToFile (ofstream &);

private :


};


#endif _SCAN_H