// DspSetup.h : header file
//


#include "DaqSetup.h"



/////////////////////////////////////////////////////////////////////////////
// DspSetup dialog


#ifndef _DSPSETUP_H
#define _DSPSETUP_H



class DspSetup : public CPropertyPage
{
	DECLARE_DYNCREATE(DspSetup)

// Construction
public:
	DspSetup();
	~DspSetup();

// Dialog Data
	//{{AFX_DATA(DspSetup)
	enum { IDD = IDD_DSP };
	int		m_dac_type;
	int		m_dac_chan;
	double	m_dac_val;
	CString	m_ctrl0;
	CString	m_ctrl1;
	CString	m_ctrl2;
	CString	m_ctrl3;
	int		m_ctrl_rep;
	int		m_ctrl_sel_chan;
	int		m_counter_mode;
	int		m_val_misc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(DspSetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(DspSetup)
	afx_msg void OnDspSetDac();
	afx_msg void OnDspCtrlLoad();
	afx_msg void OnDspCtrlExe();
	afx_msg void OnDspCounterSet();
	afx_msg void OnDspFlags();
	afx_msg void OnSelchangeDspCounterMode();
	afx_msg void OnSelchangeDspDacType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


	DaqSetup*       _daq;
	ReadoutConfig*  _config;
	DspCard*        _dsp;

	void  Update ();


};


#endif _DSPSETUP_H
