// MainSheet.cpp : implementation file
//

#include "stdafx.h"
#include "daq.h"
#include "MainSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MainSheet

IMPLEMENT_DYNAMIC(MainSheet, CPropertySheet)

MainSheet::MainSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
	AddControlPages();
}

MainSheet::MainSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	AddControlPages();
}

MainSheet::~MainSheet()
{
}


void MainSheet::AddControlPages()
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_psh.dwFlags |= PSP_USEHICON;
	m_psh.hIcon = m_hIcon;

	

	AddPage (&m_setupPage);
	AddPage (&m_DspPage);
	AddPage (&m_DetPlanePage);
	AddPage (&m_RunPage);
	

}

BEGIN_MESSAGE_MAP(MainSheet, CPropertySheet)
	//{{AFX_MSG_MAP(MainSheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MainSheet message handlers


BOOL MainSheet::OnInitDialog()
{
	SetIcon(m_hIcon, TRUE);
	SetIcon(m_hIcon, FALSE);
	return CPropertySheet::OnInitDialog();
}
HCURSOR MainSheet::OnQueryDragIcon() 
{
	return (HCURSOR) m_hIcon;
}



/*
void MainSheet::PostNcDestroy() 
{
		
	CPropertySheet::PostNcDestroy();

	for ( int i = 0; i < GetPageCount (); i++ ) {
		delete GetPage (i);
	}
	delete this;

}
*/