// MainSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MainSheet


#include "Setup.h"
#include "DspSetup.h"
#include "RunPage.h"
#include "DetPlane_Page.h"


class MainSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(MainSheet)

// Construction
public:
	MainSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	MainSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);


protected:
	void AddControlPages(void);


// Attributes
public:

	Setup           m_setupPage;
	DspSetup        m_DspPage;
	RunPage         m_RunPage;
	CDetPlane_Page  m_DetPlanePage;


// Operations
public:


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MainSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~MainSheet();
	virtual BOOL OnInitDialog();



	// Generated message map functions
protected:

	HICON m_hIcon;

	//{{AFX_MSG(MainSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	// virtual void PostNcDestroy();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
