// daqView.cpp : implementation of the CDaqView class
//

#include "stdafx.h"
#include "daq.h"

#include "daqDoc.h"
#include "daqView.h"


#include "MainSheet.h"
#include "Setup.h"
#include "DspSetup.h"
#include "RunPage.h"
#include "DetPlane_Page.h"


extern "C" {
void ana_calib ();
};


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDaqView

IMPLEMENT_DYNCREATE(CDaqView, CFormView)

BEGIN_MESSAGE_MAP(CDaqView, CFormView)
	//{{AFX_MSG_MAP(CDaqView)
	ON_COMMAND(ID_SETUP_MAIN, OnSetupMain)
	ON_COMMAND(ID_ANA_CALIB, OnAnaCalib)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CFormView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDaqView construction/destruction

CDaqView::CDaqView()
	: CFormView(CDaqView::IDD)
{
	//{{AFX_DATA_INIT(CDaqView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CDaqView::~CDaqView()
{
}

void CDaqView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDaqView)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BOOL CDaqView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDaqView printing

BOOL CDaqView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CDaqView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CDaqView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CDaqView::OnPrint(CDC* pDC, CPrintInfo*)
{
	// TODO: add code to print the controls
}

/////////////////////////////////////////////////////////////////////////////
// CDaqView diagnostics

#ifdef _DEBUG
void CDaqView::AssertValid() const
{
	CFormView::AssertValid();
}

void CDaqView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CDaqDoc* CDaqView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDaqDoc)));
	return (CDaqDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDaqView message handlers


void CDaqView::OnSetupMain() 
{
	
	
	
}



void CDaqView::OnAnaCalib() 
{
	

	// ana_calib ();
	
}
