
/* ================================================== */
/*           definition of messages                   */
/* ================================================== */


int   memoryMessageBase (int);
void  set_ioBase (unsigned short *);
void  send_sys_ech (int, int, char *);

int   do_set_ll_dac (int, double);
int   do_set_dac    (int, double);

int   do_calibrate (int, int, int);
int*  do_dataTransfer (int, int, int);

int   do_load_control_block (int, int *);
int   do_execute_control_block (int, int);

int   do_set_strobe_delay (int);
int   do_set_counter_val (int);

int   do_reset_fifo ();
int   do_initialize();
int   do_enable_readout();
int   do_disable_readout ();

int   do_load_data (int, char*);
int   do_get_general_reply ();

int   do_message_test ();

int   do_load_graycode();
void  do_load_code (int, int, char *);

int   do_select_run_mode (int);
int   do_select_trigger_mode (int *);
int   do_select_align_delay  (int *);
int   do_select_time_param   (int *);



int  m_wait(int);

void sleep_littleBit (int);
