//
//  Channels.h
//


#ifndef _CHANNELS_H
#define _CHANNELS_H


#define  CHAN_USED       1
#define  CHAN_NOT_USED   2



class Channels
{

public :

	Channels ();
	~Channels ();

	void  setnChan (int);

	void  addChan (int, int, int);
	void  addChan (int);

	void  removeChan (int, int, int);


	int   chanStatus (int);
	int   nChanList ();
	int   chanList (int);


	void  makeChanList ();
	void  resetChanList ();


	// -----------------------------------------------------
	//     this is the channel list and number 
	//     of channels. avoid to use it (inform. hidding)
	// -----------------------------------------------------


	int  *_chanList;
	int  _nr_of_chan;


private :

		
	int  _max_chan;

	int  *_chan_mask;
	int  _words;

};


#endif _CHANNELS_H