//
//  DaqSetup.h
//



#ifndef _DAQSETUP_H
#define _DAQSETUP_H


#include "ReadoutConfig.h"

#include "DaqEnv.h"


class DaqSetup {

public :
		
	static DaqSetup*  Instance ();
	

	// ---  DetPlane and DspCard functions ---


	ReadoutConfig*   readoutConfig ();


	// ---  environment  ---
	

	DaqEnv*     daqEnv ();
	int         newDaqEnv ();


	//  ---   read default configuration ---


	int         read_fromFile (char *);


protected :

	DaqSetup ();


private : 

	static  DaqSetup*  _instance;

		
	ReadoutConfig  _readoutConfig;

	DaqEnv*        _daqEnv;

};


#endif _DAQSETUP_H
