//
//  ParseOption.cpp
//


#include "ParseOption.h"

#include "LogFile.h"

extern "C"  {
#include <stdio.h>
#include <string.h>
}


// ==================================================
//        constructor,  destructor
// ==================================================

ParseOption::ParseOption (ifstream& inFile) : _in (inFile)
{
}


// =========================================
//          nextKey
// =========================================


int  ParseOption::nextKey (char*  key, char* arg)
{

	char  *pos;

	
	while ( _in.getline (_buffer, 199, '\n') ) {

		// logFile << _buffer << endl;


		if ( _buffer[0] != '#' ) {
			if ( (pos = strchr (_buffer, ':')) != NULL ) {
				// cout << _buffer << endl;
				sscanf (_buffer, "%s", key);
				strcpy (arg, pos + 1);

				return 1;
			}
		}
	
	}

	return 0;


}