//
//  ReadoutScan.cpp
//


#include "ReadoutScan.h"

#include <iostream.h>
#include <fstream.h>


// ===========================================
//       constructor
// ===========================================


ReadoutScan::ReadoutScan (double start, double stop, double stepSize, 
					  DetPlane*  detPlane)
					: Scan (start, stop, stepSize, detPlane)
{

	_detPlane = detPlane;

}					  


// ================================================
//        init
// ================================================


int ReadoutScan::init (double value)
{
	
	return 1;

}


// ================================================
//      setVariable
// ================================================


int ReadoutScan::setVariable (double* setValue)
{					  
	
	return 2;
}


// ===============================================
//     write header line
// ===============================================


void  ReadoutScan::headerToFile (ofstream& outFile)
{

	outFile << "ReadoutScan (thres/Vcal:) " <<  _detPlane->getV_thres () << 
		       "  " <<  _detPlane->getV_cal () << endl;

}

