//
//  ReadoutScan.h
//


#ifndef _READOUTSCAN_H
#define _READOUTSCAN_H


#include "Scan.h"

#include <fstream.h>


class ReadoutScan : public Scan
{
 
  
public :
  

	ReadoutScan (double, double, double, DetPlane*);
   
	int  init (double);

	virtual  int   setVariable (double*);
	virtual  void  headerToFile (ofstream &);
   
private :
  
	DetPlane*     _detPlane;      

};


#endif _READOUTSCAN_H
